Name:		opendchub
Version:	0.8.2
Release:	2%{?dist}
Summary:	An Open Source Linux/Unix version of the hub software for Direct Connect

Group:		Applications/Internet
License:	GPLv2+
URL:		http://opendchub.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	perl(ExtUtils::Embed), libcap-devel, automake

%description
Opendchub is the hub software for Direct Connect P2P network.

%prep
%setup -q
aclocal
autoconf
automake
autoheader

touch -r configure \
 config.h.in \
 Makefile.in \
 aclocal.m4


%build
%configure --enable-switch_user
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO Samplescripts
%{_bindir}/opendchub


%changelog
* Sat Apr 10 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.2-2
- New relaese for opendchub

* Thu Apr 8 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.2-1
- New release with fix for buffer overflow

* Sat Jan 9 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-5
- Added automake to BR, fixed the autoheader issue

* Thu Jan 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-4
- Changed BR to include perl specific changes
- patch made for configure to remove directories created in $HOME

* Sun Jan 3 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-3
- Changed Group to a more appropriate one

* Sun Jan 3 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-2
- Removed glibc-devel and added perl-devel to BR and changed configure

* Sat Jan 2 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-1
- First RPM for opendchub
